Core - Bug # 19102

Status: Resolved Priority: Should have
Author: Andreas Ferber Category: Workspaces
Created: 2008-07-14 Assigned To: Benjamin Mack
Updated: 2013-12-10 Due date:

TYPO3 Version: 4.2

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: "Move page after" doesn't work correctly in workspace

Description
When trying to move a page (a) after another page (b) that has already been moved in the workspace, the page (a) isn't moved to the
correct position in the page tree. Instead, it is moved just after the position where page (b) has been before it was moved itself (ie. the

position of (b) in the live workspace).

I'm attaching a patch that at least fixes the problem when using drag and drop in the page tree, I'm not really sure if | found all code
parts where pages are moved.

(issue imported from #M8962)

Related issues:
duplicates Core - Bug # 31663: Moving pages (and page content) in the Workspa... Resolved 2011-11-08

History

#1 - 2009-02-19 10:17 - Administrator Admin

The patch did not work wenn | tryed it with 4.2.4. | got a white screen instead of my website.

#2 - 2011-11-21 03:18 - Stefan Neufeind
- Status changed from Accepted to Needs Feedback
- Target version deleted (0)

| guess this duplicates what 31663 attempts to fix (which is under review currently). If so, please test the patch over there

#3 - 2011-11-21 21:53 - Oliver Hader
- Status changed from Needs Feedback to Resolved
- Target version set to 4.5.8

Handled in issue #31663

#4 - 2013-12-10 01:03 - Michael Stucki
- Category set to Workspaces

#5 - 2013-12-10 01:05 - Michael Stucki
- Project changed from Workspaces & Versioning to Core

- Category changed from Workspaces to Workspaces

Files

typo3_src-4.2.1-workspace-move-after-fix.patch 3 kB 2008-07-14 Administrator Admin
